<!-- <h4 class="font-weight-bold py-3 mb-2">
    Search Results for : "{{keyword}}"
</h4> -->

<!-- toast for data update -->
<!-- <div class="toast-container">
 <div class="toast-data">
    <span class="float-left">
        <i class="ion ion-md-information-circle-outline"></i>
    </span> Data last Updated :Jul 17, 2019 <span class="float-right" (click)="cancelClick($event)"><i class="ion ion-ios-close"></i></span>
</div>
</div> -->
<!-- toast for data update -->

<ng-template #elementBlockTemplate2>
    <engine-loader [loaderArr]="loaderService.loaderArr" *ngIf="loaderService.loaderArr && loaderService.loaderArr.length>0"></engine-loader>
    <div class="block-ui-template" *ngIf="!(loaderService.loaderArr.length>0)">
        <!-- <div class="sk-double-bounce sk-primary">
            <div class="sk-child sk-double-bounce1"></div>
            <div class="sk-child sk-double-bounce2"></div>
        </div> -->
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <img src="../../../assets/img/hx-loader-logo.svg" class="loader-svg">
            </div>
            <div class="loading-text-material pt-5 mt-4">
                <p class="text-center text-white">{{loadingText}} </p>
            </div>
        </div>

        <!-- <span class="loading-text-material">
            <p class="text-center text-white"> {{loadingText}} </p>
        </span> -->
    </div>
</ng-template>
<ng-template #serverFailed>
    <div class="emptyDiv">
        <figure>
            <img src="assets/imgs/nodata.png" class="emptyDashboardImg">
            <figcaption style="margin-top: 10px"><span class="noDataInSearch">{{isServerFailed.msg}}</span></figcaption>
        </figure>
    </div>
</ng-template>

<div *blockUI="blockUIName; template: elementBlockTemplate2">
    <div *ngIf="!isServerFailed.status; else serverFailed" class="row"
         [style.height]="!deviceService.isMobile()?'auto':'auto'">
        <!-- <div *ngIf="!didYouMeanList_old.length>0" class="col-md-12 text-white text-center" style="text-transform: capitalize;"><h4>{{this.keyword}}</h4></div> -->
        <div *ngIf="didYouMeanList_old.length>0" class="col-md-12 pt-4 text-center">
            <!-- <h4><i class="ion d-block ion-md-sad"></i></h4> -->
            <h4>No Results Found For "{{this.keyword}}"</h4>
        </div>
        <!-- <div *ngIf="didYouMeanList_old.length>0" class="col-md-2 text-center">
                    <h4> Did You Mean </h4>
                </div>
                <div *ngIf="didYouMeanList_old.length>0" class="col-md-10 row">
                    <div *ngFor="let dym of didYouMeanList_old" class="col-md-4">
                        <a class="didyoumean" (click)="didYouMeanSearch(dym)">
                            <h4><i>{{dym}}?</i></h4>
                        </a>
                    </div>
                </div> -->
        <!-- <div class="col-md-3">
                    Search Result
                    <div class="card mb-2" *ngIf="search_result && search_result.hsresult.hskpilist.length <= 0">

                        <div class="card-body text-big text-center text-danger">
                            <div style="height: 200px">
                                No Records Found
                            </div>
                        </div>
                    </div>

                    <div *ngFor="let intent of getNonExploreIntentList(); let i = index" style="cursor:pointer;" (click)="onIntentClick(intent)"
                        class="col-auto mb-4 img-thumbnail-shadow">
                        <div class="d-block text-dark mt-2 box-style" [innerHtml]="getDisplayTextForIntent(intent)"></div>
                        <img class="ui-rect-60 ui-bg-cover text-white" src={{getImageUrlForIntent(intent,i)}}/>
                    </div>
                </div> -->
        <!-- For Mobile view -->
        <div id="mob-slide" *ngIf="!didYouMeanList_old.length>0 && !showNoResultsFound && !showDidYouMean">

            <button class="btn icon-only btn-sm search_result_top_btn_mob" (click)="toggleCollapse()"><i
                    [class]="isCollapsed ? 'fas fa-chevron-up':'fas fa-chevron-down'"></i></button>
            <div *ngIf="isCollapsed">

                <div class="chat-sidebox-mobile col-md-12 col-sm-12 col-xs-12 card-ui" *ngIf="search_result">
                    <!-- <div class="card card-ui card-shadow"> -->
                    <div>

                        <!-- Vertical bar 50% top -->
                        <div>
                            <div class="card-header with-elements pt-3">
                                <div class="tile-title">
                                    <span>Search Result for</span>
                                    <!-- <b>{{this.keyword}}</b> -->
                                    <b *ngIf="keywordBucket.length>0">
                                        <div class="tooltipMob">
                                            <span class="badge danger" *ngFor="let keys of keywordBucket"
                                                  (press)="onLongPress(keys.toolTip)" (pressUp)="onPressUp()"
                                                  [class]="'abc '+ keys.type+'Class'">{{keys.key}}</span>
                                            <span class="tooltiptext"
                                                  *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span>
                                        </div>
                                    </b>
                                </div>
                            </div>


                            <div style="overflow-y: scroll; max-height: 145px"
                                 class="card-body p-0 list-group-flush results-filter"
                                 *ngIf="!deviceService.isMobile()">
                                <div [perfectScrollbar] *ngIf="search_result.hsresult.filter_apply.length>0" class="p-1"
                                     style="width: 100%; display: inline-block; overflow: auto;
                                                    max-width: 100%; white-space: nowrap;">
                                    <span class="badge" style="padding:6px;">Filters Applied:</span>
                                    <div class="ml-1 values-align"
                                         *ngFor="let filters of search_result.hsresult.filter_apply">
                                        <span
                                                class="badge-default badge badge-secondary badge-title">{{filters.filter_value}}</span>
                                        -
                                        <span class="text-cap">{{filters.filter_name | lowercase }}</span>
                                    </div>

                                </div>
                                <div *ngIf="search_result && search_result.hsresult.hskpilist.length <= 0">
                                    <div class="card-body text-big text-center text-danger">
                                        <div style="height: 100px">
                                            No Records Found
                                        </div>
                                    </div>
                                </div>
                                <!-- <div [class]="currentKPI==i?kpiHighlightClass:kpiNormalClass" *ngFor="let intent of getNonExploreIntentList(); let i = index"
                                        style="cursor:pointer;border-width: 1px;" (click)="onIntentClick(intent);currentKPI=i">

                                        <span [innerHtml]="getDisplayTextForIntent(intent)"></span>

                                    </div> -->

                            </div>

                            <div ngbDropdown [placement]="'bottom-left'" class="dark"
                                 *ngIf="search_result && search_result.hsresult.hskpilist && search_result.hsresult.hskpilist.length > 0">
                                <button class="btn btn-default btn-lg w-100" ngbDropdownToggle
                                        [innerHtml]="activeKpiName"
                                        style="white-space: nowrap;text-overflow: ellipsis;overflow: hidden;"></button>
                                <div ngbDropdownMenu [class.dropdown-menu-right]="true" class="dropdown-menu-dark">
                                    <a *ngFor="let intent of getNonExploreIntentList(); let i = index"
                                       style="white-space: nowrap;text-overflow: ellipsis;overflow: hidden;"
                                       (click)="onIntentClick(intent);currentKPI=i;currentLSR=-1;activeKpiName=getDisplayTextForIntent(intent)"
                                       class="dropdown-item"
                                       [class]="currentKPI==i?'dropdown-item active':'dropdown-item'"
                                       href="javascript:void(0)"><span
                                            [innerHtml]="getDisplayTextForIntent(intent)"></span></a>
                                </div>
                            </div>
                        </div>
                        <!-- Vertical bar 50% top -->

                        <!-- Vertical bar 50% bottom -->
                        <div *ngIf="getLocalIntentList().length>0">
                            <div class="card-header with-elements">
                                <div class="tile-title">
                                    <span *ngIf="datamanager.showMyDocs">Search results from local documents and dashboards</span>
                                    <span *ngIf="!datamanager.showMyDocs">Search results from local dashboards</span>
                                </div>
                            </div>

                            <div ngbDropdown [placement]="'bottom-left'" class="dark"
                                 *ngIf="search_result && search_result.hsresult.hslocallist.length > 0">
                                <button class="btn btn-default btn-lg w-100" ngbDropdownToggle
                                        [innerHtml]="localActiveKpiName"></button>
                                <div ngbDropdownMenu [class.dropdown-menu-right]="true" class="dropdown-menu-dark">
                                    <a *ngFor="let intent of getLocalIntentList(); let i = index"
                                       (click)="onIntentClick(intent);currentLSR=i;currentKPI=-1;localActiveKpiName=getDisplayLocalTextForIntent(intent)"
                                       class="dropdown-item"
                                       [class]="currentLSR==i?'dropdown-item active':'dropdown-item'"
                                       href="javascript:void(0)"><span
                                            [innerHtml]="getDisplayLocalTextForIntent(intent)"></span></a>
                                </div>
                            </div>
                        </div>
                        <!-- Vertical bar 50% bottom -->


                    </div>
                </div>
            </div>
        </div>
        <!-- End Of Mobile view -->


        <div class="col-md-12 p-0 mt-1">
            <div class="flex-grow-1 position-relative">
                <div class="row no-gutters h-100 dynamicHeight-EntParent" style="overflow: hidden;">


                    <!-- col-md-10 -->
                    <div [class]="resultContainer">
                        <div
                                *ngIf="!isServerFailed.status && showEntityDetail && entityData">
                            <hx-entityDocs [showRecommended]="true" [favorite]="favorite"
                                           [selectedChart]="selectedChart"
                                           [resultData]="entityData" [callbackJson]="callbackJson"
                                           [dataChanged]="entityDataChanged" [isSearch]="true"
                                           [autoCorrect]="autoCorrect">
                            </hx-entityDocs>
                        </div>

                        <!-- CUSTOMER FEEDBACK -->
                        <!-- <div class="cust-feedback" *ngIf="!detectmob() && showEntityDetail && entityData">
                                    <span>Did you find the answer you wanted?</span>

                                    <button type="button" [class]="feebackUp" placement="top" ngbTooltip="It was awsome"
                                        (click)="resultFeedback(true)">
                                        <i class="fa fa-thumbs-up icon-smile" aria-hidden="true"></i>
                                    </button>

                                    <button type="button" [class]="feebackDown" placement="top" ngbTooltip="Sorry, It was not good"
                                        (click)="openDialog(feedbackModal,{windowClass: 'modal-fill-in modal-lg modal-sm animate'})">
                                        <i class="fas fa-thumbs-down icon-poor" aria-hidden="true"></i>
                                    </button>

                                </div> -->

                        <!-- <div class="cust-feedback" *ngIf="detectmob() && showEntityDetail && entityData">
                                    <span>Did you find the answer you wanted?</span>

                                    <button type="button" [class]="feebackUp" (press)="onLongPress('It was awsome')" (pressUp)="onPressUp()"
                                        (tap)="resultFeedback(true)">
                                        <div class="tooltipMob">
                                            <i class="fa fa-thumbs-up icon-smile" aria-hidden="true"></i>
                                            <span class="tooltiptext" *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span>
                                        </div>
                                    </button>

                                    <button type="button" [class]="feebackDown" (press)="onLongPress('Sorry, It was not good')"
                                        (pressUp)="onPressUp()" (tap)="openDialog(feedbackModal,{windowClass: 'modal-fill-in modal-lg modal-sm animate'})">
                                        <div class="tooltipMob">
                                            <i class="fas fa-thumbs-down icon-poor" aria-hidden="true"></i>
                                            <span class="tooltiptext" *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span>
                                        </div>
                                    </button>

                                </div> -->

                        <!-- CUSTOMER FEEDBACK -->

                        <!-- ACCORDIAN******************************************************************* -->
                        <!-- <div class="acc-details" *ngIf="peopleAlsoAsk.length>0 && !deviceService.isMobile()">
                                    <h4 class="pl-4 pt-4" *ngIf="showEntityDetail && entityData">People also ask</h4>
                                    <div>
                                        <ngb-accordion [closeOthers]="true" class="ngb-accordion-with-icon" *ngIf="showEntityDetail && entityData && peopleAlsoAsk.length>0">
                                            <ngb-panel *ngFor="let palak of peopleAlsoAsk;let i= index;" [id]="'accordion2-static-'+i"
                                                [style.display]="palak.search==''?'none':''">
                                                <ng-template ngbPanelTitle>
                                                    <span class="text-white">{{palak.search}}</span>
                                                    <div class="collapse-icon"></div>
                                                </ng-template>
                                                <ng-template ngbPanelContent>
                                                    <hx-entity [peopleAlsoAsk]="peopleAlsoAsk" [palak]="palak" [favorite]="palak.favorite"
                                                        [resultData]="palak.result" [callbackJson]="palak.hscallback_json"
                                                        [isPeopleAlsoAsk]="true" [favoriteList]="datamanager.favouriteList"
                                                        [selectedChart]="selectedChart">
                                                    </hx-entity>
                                                </ng-template>
                                            </ngb-panel>
                                        </ngb-accordion>
                                    </div>
                                </div> -->
                    </div>

                    <!-- col-md-2 -->


                    <div class="col-lg-2 col-md-3 col-sm-12 col-xs-12 hideResultList"
                         style="background: none; width:auto;position: absolute;right:0;height:calc(100vh - 85px);"
                         *ngIf="search_result && !isFullView && search_result.hsresult.hskpilist.length > 0">


                        <div class="card card-ui card-shadow"
                             style="margin-right: -20px;margin-top: -1rem;padding-top: 12px;">
                            <div class="card-header with-elements">
                                <div class="tile-title head-only" style="width:100%; letter-spacing: normal;">
                                    <span>Search Suggestions for </span>

                                    <b *ngIf="keywordBucket.length>0">
                                        <span class="badge danger" *ngFor="let keys of keywordBucket" placement="bottom"
                                              [ngbTooltip]="keys.toolTip"
                                              [class]="'abc'+ keys.type+'Class'">{{keys.key}}&nbsp;
                                        </span>
                                    </b>
                                </div>
                            </div>

                            <!-- Vertical bar 50% top -->
                            <div class="card-body p-0 list-group-flush results-filter">
                                <div [perfectScrollbar] *ngIf="search_result.hsresult.filter_apply.length>0"
                                     class="p-1">
                                    <span class="badge" style="padding:6px;">Filters Applied:</span>
                                    <div class="ml-1 values-align"
                                         *ngFor="let filters of search_result.hsresult.filter_apply | orderBy: 'filter_value':reverse:'case-insensitive'">
                                        <span
                                                class="badge-default badge badge-secondary badge-title">{{filters.filter_value}}</span>
                                        -
                                        <span class="text-cap">{{filters.filter_name}} </span>
                                    </div>
                                </div>
                                <div *ngIf="search_result && search_result.hsresult.hskpilist.length <= 0">
                                    <div class="card-body text-big text-center text-danger">
                                        <div style="height: 100px">
                                            No Records Found
                                        </div>
                                    </div>
                                </div>
                                <div [class]="currentKPI==i?kpiHighlightClass:kpiNormalClass"
                                     *ngFor="let intent of getNonExploreIntentList(); let i = index"
                                     style="cursor:pointer;border-width: 2px;"
                                     (click)="onIntentClick(intent);currentKPI=i;currentLSR=-1;currentPAA=-1;">

                                    <span [innerHtml]="getDisplayTextForIntent(intent)"></span>

                                </div>

                            </div>
                            <!-- Vertical bar 50% top -->

                            <!-- Vertical bar 50% bottom -->
                            <!-- <div class="card-header with-elements" style="border-top: 1px solid rgb(241, 241, 242);"
                                *ngIf="getLocalIntentList().length>0">
                                <div class="tile-title" style="width:100%;">
                                    <div  class="tile-title">
                                        <span *ngIf="datamanager.showMyDocs">Search results from local documents and dashboards</span>
                                        <span *ngIf="!datamanager.showMyDocs">Search results from local dashboards</span>
                                    </div>
                                </div>
                            </div>

                            <div class="card-body p-0 list-group-flush results-filter vertical-height"
                                *ngIf="getLocalIntentList().length>0">
                                <div [class]="currentLSR==i?kpiHighlightClass:kpiNormalClass"
                                    *ngFor="let intent of getLocalIntentList(); let i = index"
                                    style="cursor:pointer;border-width: 2px;"
                                    (click)="onIntentClick(intent);currentLSR=i;currentKPI=-1;currentPAA=-1;">
                                    <span [innerHtml]="getDisplayLocalTextForIntent(intent)"></span>

                                </div>
                            </div> -->
                            <!-- Vertical bar 50% bottom -->
                            <!-- <div class="card-header with-elements" style="border-top: 1px solid rgb(241, 241, 242);"
                                *ngIf="peopleAlsoAsk.length>0">
                                <div class="tile-title" style="width:100%;">
                                    <span>People Also Ask</span>
                                </div>
                            </div>
                            <div class="card-body p-0 list-group-flush results-filter vertical-height"
                                *ngIf="peopleAlsoAsk.length>0">
                                <div [class]="currentPAA==i?kpiHighlightClass:kpiNormalClass"
                                    *ngFor="let intent of peopleAlsoAsk; let i = index"
                                    style="cursor:pointer;border-width: 2px;"
                                    (click)="onIntentClick(intent);currentPAA=i;currentKPI=-1;currentLSR=-1;">
                                    <span [innerHtml]="dashText(intent.keyword,intent)"></span>
                                </div>
                            </div> -->
                            <ngb-accordion [closeOthers]="true" *ngIf="!detectmob()" activeIds="accordion-static-1"
                                           class="search-suggestions-acc ngb-accordion-with-icon">
                                <ngb-panel id="accordion-static-1" [disabled]="getLocalIntentList().length==0">
                                    <ng-template ngbPanelTitle>
                                        <span class="text-dark">Search results from local documents and dashboards</span>
                                        <div class="collapse-icon"></div>
                                    </ng-template>
                                    <ng-template ngbPanelContent>
                                        <div class="p-0 list-group-flush vertical-height results-filter"
                                             style="height: 45vh;overflow: auto;">
                                            <div [class]="currentLSR==i?kpiHighlightClass:kpiNormalClass"
                                                 *ngFor="let intent of getLocalIntentList(); let i = index"
                                                 style="cursor:pointer;border-width: 2px;"
                                                 (click)="onIntentClick(intent);currentLSR=i;currentKPI=-1;currentPAA=-1;">
                                                <span [innerHtml]="getDisplayLocalTextForIntent(intent)"></span>

                                            </div>
                                        </div>

                                    </ng-template>
                                </ngb-panel>
                                <!-- <ngb-panel id="accordion-static-2" [disabled]="peopleAlsoAsk.length==0">
                                    <ng-template ngbPanelTitle>
                                        <span class="text-dark">People Also Ask</span>
                                        <div class="collapse-icon"></div>
                                    </ng-template>
                                    <ng-template ngbPanelContent>
                                        <div class="p-0 list-group-flush vertical-height results-filter"
                                             style="height: 45vh;overflow: auto;">
                                            <div [class]="currentPAA==i?kpiHighlightClass:kpiNormalClass"
                                                 *ngFor="let intent of peopleAlsoAsk; let i = index"
                                                 style="cursor:pointer;border-width: 2px;"
                                                 (click)="onIntentClick(intent);currentPAA=i;currentKPI=-1;currentLSR=-1;">
                                                <span [innerHtml]="dashText(intent.keyword,intent)"></span>
                                            </div>
                                        </div>
                                    </ng-template>
                                </ngb-panel> -->
                                <ngb-panel id="how-do-we-get-these-results" *ngIf="weIdentified.length>0">
                                  <ng-template ngbPanelTitle>
                                    <app-hint [id]="'limit-access'"></app-hint>

                                    <span class="text-dark">How did we get these results</span>
                                    <div class="collapse-icon"></div>
                                  </ng-template>
                                  <ng-template ngbPanelContent>
                                      <div class="p-3"  style="height: 45vh;overflow: auto;">
                                          <p style="padding-left: 0.225rem;"><b>We identified the following:</b></p>
                                            <table class="table">
                                                <tr *ngFor="let item of weIdentified"><td><b>{{item.name}}</b></td><td>{{item.value}}</td></tr>
                                    </table>
                                    <div class="mt-2" style="padding-left: 0.225rem; display: none;">
                                        <b>SQL : </b>
                                        <span *ngIf="SearchSuggShowMore"> {{hdwgtrSQL}} </span>
                                        <a *ngIf="!SearchSuggShowMore" (click)="SearchSuggShowMore=true" class="text-primary" style="cursor: pointer;">Show...</a>
                                        <a *ngIf="SearchSuggShowMore"  (click)="SearchSuggShowMore=false" class="text-primary" style="cursor: pointer;">Hide...</a>
                                    </div>
                                </div>
                                  </ng-template>
                                </ngb-panel>
                            </ngb-accordion>
                        </div>
                    </div>
                    <button class="hideResultList" (click)="hideResultList()" *ngIf="showEntityDetail && entityData">
                        <i [class]="hideBtnClass"></i>
                    </button>
                    <!-- col-md-2 -->

                </div>
            </div>


        </div>

        <!-- NO RESULTS FOUND ACCORDIAN******************************************************************* -->
        <!-- <div class="col-md-12  p-0 results-acc" *ngIf="showNoResultsFound; else execEntityFailed">
                    <span>About 2588885.00 results (0.55seconds)</span>
                        <h5>Showing results for <span class="text-hi-light pl-0">Sales in California</span></h5>
                        <span class="text-dr-gray">No result found for sales in California</span>

                        <div class="mt-3 custom-accordian">
                            <ngb-accordion [closeOthers]="true" class="ngb-accordion-with-icon">
                                <ngb-panel *ngFor="let nrf of noResultsFoundList;let i= index;">
                                    <ng-template ngbPanelTitle>
                                        <div class="text-white" style="font-size: 14px;" (click)="noResultFoundClick(i)">{{nrf.nrfKeyword}}</div>
                                        <div class="collapse-icon"></div>
                                    </ng-template>
                                    <ng-template ngbPanelContent>
                                        <div *ngIf="nrf.showEntityDetail">
                                            <button class="btn btn-primary" style="position: absolute;top: 50px;right: 11px;z-index: 1;">Detail View</button>
                                            <hx-entity [isNoResultsFound]="true" [selectedChart]="nrf.selectedChart" [resultData]="nrf.entityData" [callbackJson]="nrf.callbackJson"
                                                [dataChanged]="nrf.entityDataChanged" [pivot_config]="nrf.pivot_config_object">
                                            </hx-entity>
                                        </div>
                                    </ng-template>
                            </ngb-panel>
                        </ngb-accordion>
                    </div>
            </div> -->
        <!-- NO RESULTS FOUND ACCORDIAN******************************************************************* -->

        <!-- DID YOU MEAN -->


        <!-- <div class="col-md-12" *ngIf="showDidYouMean && !"> -->
        <div class="col-md-12" *ngIf="search_result && search_result.hsresult.hskpilist.length == 0">
            <div class="HXsearchresult">
                <h4 *ngIf="didYouMeanList.length>0">Did you mean:
                    <div *ngFor="let dym of didYouMeanList;">
                           <span style="cursor:pointer;text-decoration: underline;"
                                 (click)="searchFromDYM(dym.keyword)">{{dym.keyword}}</span>
                    </div>

                </h4>
                <div *ngFor="let dym of didYouMeanList;">
                         <span style="cursor:pointer;text-decoration: underline;"
                               (click)="searchFromDYM(dym.keyword)">{{dym.keyword}}</span>
                </div>

                <h1 *ngIf="didYouMeanList.length == 0">Sorry, No result containing your search were found :(</h1>
                <!-- <h4 *ngIf="didYouMeanList.length == 0" >Did you mean: <a href="#">what is sales in california?</a></h4> -->
                <figure *ngIf="didYouMeanList.length == 0 && peopleAlsoAsk.length == 0"><img
                        src="../../../assets/img/searcherror.png"/></figure>
                <div *ngIf="didYouMeanList.length == 0 && peopleAlsoAsk.length == 0 " class="suggestionBox">
                    <h3>Search Suggestions</h3>
                    <ul class="suggestion">
                        <li>Make sure that all words are spelled correctly.</li>
                        <li>Try different keywords</li>
                        <li>Try more general keywords.</li>
                        <li>Try fewer keywords.</li>
                    </ul>
                </div>

                <!-- <ul>
                    <li *ngIf="didYouMeanList.length>1"><span class="text-hi-light">Did you mean:</span>
                        <div *ngFor="let dym of didYouMeanList;">
                            <span style="cursor:pointer;text-decoration: underline;"
                                (click)="searchFromDYM(dym.keyword)">{{dym.keyword}}</span>
                        </div>
                    </li>
                    <li *ngIf="didYouMeanList.length==1"><span class="text-hi-light">Did you mean:</span>
                        <span style="cursor:pointer;text-decoration: underline;"
                            (click)="searchFromDYM(didYouMeanList[0].keyword)">{{didYouMeanList[0].keyword}}</span>
                    </li>
                    <li>No result containing all your search terms were found.</li>
                    <li>You search - <b>{{keyword}}</b></li>
                </ul> -->
            </div>

            <!-- <div class="suggest-results">
                <h5>Suggestions</h5>
                <ul>
                    <li>Make sure all words are spelled correctly.</li>
                    <li>Try different keywords.</li>
                    <li>Try more general keywords.</li>
                    <li>Try fewer keywords.</li>
                </ul>
            </div> -->
        </div>

        <!-- DID YOU MEAN -->

        <!-- PEOPLE ALSO ASK ******************************************************************* -->
        <div class="col-md-12  p-0 results-acc"
             *ngIf="peopleAlsoAsk.length>0 && search_result.hsresult.hskpilist.length == 0">
            <h2>List of matching results by people asked previously</h2>
            <div class="mt-3 custom-accordian">
                <ngb-accordion [closeOthers]="true" class="ngb-accordion-with-icon">
                    <ngb-panel *ngFor="let paa of peopleAlsoAsk;let i= index;">
                        <ng-template ngbPanelTitle>
                            <div class="text-white" style="font-size: 14px;" (click)="noResultFoundClick(i)">
                                <div class="collapse-icon float-left mr-2"></div>
                                {{paa.keyword}}</div>
                            <!-- <div class="collapse-icon"></div> -->
                        </ng-template>
                        <ng-template ngbPanelContent>
                            <div *ngIf="paa.showEntityDetail">
                                <!-- <button class="btn btn-primary" style="position: absolute;top: 50px;right: 11px;z-index: 1;">Detail View</button> -->
                                <hx-entityDocs [isNoResultsFound]="true" [selectedChart]="paa.selectedChart"
                                               [resultData]="paa.entityData" [callbackJson]="paa.callbackJson"
                                               [dataChanged]="paa.entityDataChanged"
                                               [pivot_config]="paa.pivot_config_object">
                                </hx-entityDocs>
                            </div>
                        </ng-template>
                    </ngb-panel>
                </ngb-accordion>
            </div>
        </div>
        <!-- PEOPLE ALSO ASK******************************************************************* -->

    </div>
</div>


<!-- FEEDBACK FORM POPUP -->
<ng-template #feedbackModal let-c="close" let-d="dismiss" class="modal fade-scale" style="background: #888">
    <div class="modal-header">
        <h5 class="modal-title">Feedback
            <span class="font-weight-light"></span>
            <br>
        </h5>
        <button type="button" class="close" (click)="d('Cross click')" style="color:white;">&times;</button>
    </div>
    <div class="modal-body">
        <div class="form-row">
            <div class="form-group col">
                <label class="form-label">What went Wrong?</label>
                <textarea type="text" class="form-control input-material" placeholder="Comments" name="feedComments"
                          [(ngModel)]="feedComments"></textarea>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" (click)="c('Close click')">Close</button>
        <button type="button" class="btn btn-primary btn-material" (click)="feedBackComment()"
                [disabled]="feedComments==''">Save
        </button>
    </div>
</ng-template>
<!-- FEEDBACK FORM POPUP -->
